Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 145965 - juk BuildRequies: libmusicbrainz >= 2.1, libtunepimp
Summary: juk BuildRequies: libmusicbrainz >= 2.1, libtunepimp
Keywords:
Status: CLOSED DUPLICATE of bug 176288
Alias: None
Product: Fedora
Classification: Fedora
Component: kdemultimedia
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On: 145960 145961
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-24 13:44 UTC by Rex Dieter
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-10 14:19:58 UTC


Attachments (Terms of Use)

Description Rex Dieter 2005-01-24 13:44:53 UTC
In order to build/include juk, you need
BuildRequires: libmusicbrainz >= 2.1

(Too bad juk seems to be disabled by default... it's pretty nice)

Comment 1 Rex Dieter 2005-01-24 13:45:17 UTC
Oh, needs
BuildRequires: libtunepimp
too.

Comment 2 Rex Dieter 2005-01-24 13:48:04 UTC
Just to clarify, juk doesn't absolutely need these to build, but it
gives juke added tagging capabilities if built this way.

Comment 3 Sammy 2005-01-24 14:12:39 UTC
I agree. Juk is nice and I don't understand why libmusicbrainz is not updated 
to the latest version. I have asked for it long time ago. 

Comment 4 Ngo Than 2005-03-30 10:55:04 UTC
we don't have taglib in fc3 and will not add taglib in fc4. So it's disable by
default. I think it's a candidate for fedore extra. However i added libtunepimp
and libmusicbrainz in buildrequires.


Comment 5 Scott Wheeler 2005-07-22 23:00:46 UTC
I'm actually curious on what grounds TagLib is not included; it's used by a   
number of applications for both GNOME and KDE.  The only thing that I can   
imagine is that this is related to the MP3 components, but TagLib does not   
contain an MP3 decoder... 

Comment 6 Michael Schwendt 2005-07-23 08:37:45 UTC
Btw, the current BuildRequires are wrong. Should be "BuildRequires: taglib-devel
libtunepimp-devel".

Only taglib-devel is in Extras already, libtunepimp-devel is not included yet
and wants to compile in the MAD mp3 decoder by default, btw. So a full-featured
libtunepimp is not possible for Extras.

Comment 7 Rex Dieter 2006-02-22 15:48:39 UTC
FYI, juk (+ other Extras bits) are included in 
Review Request: kdemulimedia-extras (bug #176288)

Comment 8 Rex Dieter 2006-05-10 14:19:58 UTC
kdemultimedia-extras is now in extras.

*** This bug has been marked as a duplicate of 176288 ***


Note You need to log in before you can comment on or make changes to this bug.